summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author B. Watson2012-05-13 15:06:01 +0200
committer dsomero2012-05-13 15:06:01 +0200
commitd2df3ce39f02aa03b218b5ec7b572fa720589990 (patch)
tree661c10aeb3048bd5232ac74b90faf82d1533ba67
parent79e444d58e10561a144653909b1c6ffb51f1a30d (diff)
downloadslackbuilds-d2df3ce39f02aa03b218b5ec7b572fa720589990.tar.gz
games/gzdoom: Added (OpenGL port of DOOM)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--games/gzdoom/README40
-rw-r--r--games/gzdoom/doinst.sh10
-rw-r--r--games/gzdoom/gzdoom.SlackBuild97
-rw-r--r--games/gzdoom/gzdoom.desktop8
-rw-r--r--games/gzdoom/gzdoom.info10
-rw-r--r--games/gzdoom/gzdoom.pngbin0 -> 1618 bytes
-rw-r--r--games/gzdoom/slack-desc19
7 files changed, 184 insertions, 0 deletions
diff --git a/games/gzdoom/README b/games/gzdoom/README
new file mode 100644
index 0000000000..a11116da3a
--- /dev/null
+++ b/games/gzdoom/README
@@ -0,0 +1,40 @@
+Enhanced OpenGL port of the official DOOM source code that also supports
+Heretic, Hexen, and Strife.
+
+This requires fmodapi.
+
+Optional compile-time dependency: fluidsynth (autodetected).
+
+See below for optional runtime dependencies.
+
+gzdoom is only a game engine. To actually play the game, you'll need
+the game data (IWAD file) from one of the supported games. These include
+Doom, Ultimate Doom, Final Doom, FreeDoom, Heretic, Hexen, and Strife.
+Place the .wad file(s) in /usr/share/games/doom.
+
+If you don't own any of the supported games, you can install one or more
+of these slackbuilds.org packages to get a playable game:
+
+freedoom, doom_shareware_data, heretic_shareware_data, hexen_demo_data
+
+To hear the in-game music, there are several options. In the game menu,
+select "Options | Sound Options" and set "MIDI Device" to one of the
+below:
+
+FMOD (the default) - Install ff8dls and set the console variable
+snd_midipatchset to "/usr/share/sounds/dls/ff8.dls" (from the in-game
+console or by editing ~/.gzdoom/zdoom.ini). Alternatively,
+if you dual-boot with Windows, use something like
+/dosC/windows/system32/drivers/gm.dls (replace dosC with the mountpoint
+of your C: drive in Windows).
+
+FluidSynth - Install fluidsynth (before building gzdoom) and fluid-soundfont.
+
+Timidity - Install TiMidity++ and either eawpats or freepats, and set up
+/etc/timidity/timidity.cfg to use it.
+
+GUS or OPL - Nothing extra required; these are software emulations of
+classic soundcards from the early 1990s.
+
+While you're in the Sound Options menu, it's probably a good idea to set
+"Output System" to "ALSA" (otherwise, the default will use OSS emulation).
diff --git a/games/gzdoom/doinst.sh b/games/gzdoom/doinst.sh
new file mode 100644
index 0000000000..1f8ff67ded
--- /dev/null
+++ b/games/gzdoom/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/games/gzdoom/gzdoom.SlackBuild b/games/gzdoom/gzdoom.SlackBuild
new file mode 100644
index 0000000000..543d20a82b
--- /dev/null
+++ b/games/gzdoom/gzdoom.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/bash
+
+# Slackware build script for gzdoom
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=gzdoom
+VERSION=${VERSION:-1.5.06}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# fmodapi MIDI support tries to find its lib in the current dir, fix it:
+sed -i \
+ "s,setPluginPath(progdir),setPluginPath(\"/usr/lib$LIBDIRSUFFIX/$PRGNAM\")," \
+ src/sound/fmodsound.cpp
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS -DSHARE_DIR=\\\"/usr/share/games/doom\\\"" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS -DSHARE_DIR=\\\"/usr/share/games/doom\\\"" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ mkdir -p $PKG/usr/bin $PKG/usr/share/games/doom
+ install -m0755 -s $PRGNAM $PKG/usr/bin/$PRGNAM
+ install -m0644 *.pk3 $PKG/usr/share/games/doom/
+
+ # If fmodapi support was compiled in:
+ if [ -e liboutput_sdl.so ]; then
+ mkdir -p $PKG/usr/lib$LIBDIRSUFFIX/$PRGNAM
+ install -m0755 -s liboutput_sdl.so $PKG/usr/lib$LIBDIRSUFFIX/$PRGNAM/liboutput_sdl.so
+ fi
+cd ..
+
+# .desktop written for this SlackBuild
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+# PNG converted from Windows icon
+mkdir -p $PKG/usr/share/pixmaps
+cat $CWD/$PRGNAM.png > $PKG/usr/share/pixmaps/$PRGNAM.png
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a docs/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/gzdoom/gzdoom.desktop b/games/gzdoom/gzdoom.desktop
new file mode 100644
index 0000000000..08629b8d45
--- /dev/null
+++ b/games/gzdoom/gzdoom.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Type=Application
+Name=GZDoom
+GenericName=OpenGL Enhanced Doom Engine
+Icon=gzdoom
+Exec=gzdoom %F
+Terminal=false
+Categories=Game;ActionGame;
diff --git a/games/gzdoom/gzdoom.info b/games/gzdoom/gzdoom.info
new file mode 100644
index 0000000000..b0e736846e
--- /dev/null
+++ b/games/gzdoom/gzdoom.info
@@ -0,0 +1,10 @@
+PRGNAM="gzdoom"
+VERSION="1.5.06"
+HOMEPAGE="http://www.osnanet.de/c.oelckers/gzdoom/"
+DOWNLOAD="http://urchlay.naptime.net/~urchlay/src/gzdoom-1.5.06.tar.gz"
+DOWNLOAD_x86_64=""
+MD5SUM="6ac9218975bdd2dca7c2859344d96cb9"
+MD5SUM_x86_64=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="dsomero"
diff --git a/games/gzdoom/gzdoom.png b/games/gzdoom/gzdoom.png
new file mode 100644
index 0000000000..013cf60890
--- /dev/null
+++ b/games/gzdoom/gzdoom.png
Binary files differ
diff --git a/games/gzdoom/slack-desc b/games/gzdoom/slack-desc
new file mode 100644
index 0000000000..74461f2714
--- /dev/null
+++ b/games/gzdoom/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gzdoom: gzdoom (OpenGL port of DOOM)
+gzdoom:
+gzdoom: Enhanced OpenGL port of the official DOOM source code that also
+gzdoom: supports Heretic, Hexen, and Strife
+gzdoom:
+gzdoom:
+gzdoom:
+gzdoom:
+gzdoom:
+gzdoom:
+gzdoom: